package exey.comps.text {
	import flash.display.DisplayObjectContainer;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	/**
	 * ...
	 * @author Exey Panteleev
	 */
	public class TextFieldLabel extends TextField {
		
		public function TextFieldLabel(parent:DisplayObjectContainer, xpos:Number, ypos:Number, textFormat:TextFormat) {
			super();
			if (parent != null) parent.addChild(this);
			this.x = xpos;
			this.y = ypos;			
			this.defaultTextFormat = textFormat;
			this.autoSize = TextFieldAutoSize.LEFT;
		}
		
		public function destroy():void {
			if (parent) 
				this.parent.removeChild(this);
		}
	}
}