package application 
{
	import flash.events.Event;
	
	/**
	 * Event for MainMenu
	 * @author Exey Panteleev
	 */
	public class MainMenuEvent extends Event 
	{
		static public const PLAY_CLICK:String = "playClick";
		
		public var renderName:String;
		public var tmxUrl:String;
		
		public function MainMenuEvent(type:String, renderName:String, tmxUrl:String, bubbles:Boolean=false, cancelable:Boolean=false) 
		{ 
			super(type, bubbles, cancelable);
			this.renderName = renderName;
			this.tmxUrl = tmxUrl;
		}
		
		public override function clone():Event 
		{ 
			return new MainMenuEvent(type, tmxUrl, renderName, bubbles, cancelable);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("MainMenuEvent", "tmxUrl", "renderName", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}